Package com.sun.jna.platform.win32

## Class IPHlpAPI.MIB_TCPSTATS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.IPHlpAPI.MIB_TCPSTATS

Enclosing interface:
  IPHlpAPI

    @FieldOrder({"dwRtoAlgorithm","dwRtoMin","dwRtoMax","dwMaxConn","dwActiveOpens","dwPassiveOpens","dwAttemptFails","dwEstabResets","dwCurrEstab","dwInSegs","dwOutSegs","dwRetransSegs","dwInErrs","dwOutRsts","dwNumConns"})
    public static class IPHlpAPI.MIB_TCPSTATS
    extends Structure

The MIB_TCPSTATS structure contains statistics for the TCP protocol running on the local computer.

In the Windows SDK, the version of the structure for use on Windows Vista and later is defined as `MIB_TCPSTATS_LH`. In the Windows SDK, the version of this structure to be used on earlier systems including Windows 2000 and later is defined as `MIB_TCPSTATS_W2K`.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `dwActiveOpens`
`int` `dwAttemptFails`
`int` `dwCurrEstab`
`int` `dwEstabResets`
`int` `dwInErrs`
`int` `dwInSegs`
`int` `dwMaxConn`
`int` `dwNumConns`
`int` `dwOutRsts`
`int` `dwOutSegs`
`int` `dwPassiveOpens`
`int` `dwRetransSegs`
`int` `dwRtoAlgorithm`
`int` `dwRtoMax`
`int` `dwRtoMin`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`MIB_TCPSTATS()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwRtoAlgorithm

    public int dwRtoAlgorithm

#### dwRtoMin

    public int dwRtoMin

#### dwRtoMax

    public int dwRtoMax

#### dwMaxConn

    public int dwMaxConn

#### dwActiveOpens

    public int dwActiveOpens

#### dwPassiveOpens

    public int dwPassiveOpens

#### dwAttemptFails

    public int dwAttemptFails

#### dwEstabResets

    public int dwEstabResets

#### dwCurrEstab

    public int dwCurrEstab

#### dwInSegs

    public int dwInSegs

#### dwOutSegs

    public int dwOutSegs

#### dwRetransSegs

    public int dwRetransSegs

#### dwInErrs

    public int dwInErrs

#### dwOutRsts

    public int dwOutRsts

#### dwNumConns

    public int dwNumConns

### Constructor Detail

#### MIB_TCPSTATS

    public MIB_TCPSTATS()